## heat-tempest-plugin 1.0.0

=== debian/changelog ===
heat-tempest-plugin (1.0.0-3) unstable; urgency=medium

  * Uploading source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:05:54 +0200

heat-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Add install-missing-files.patch.
  * Runtime depends on python3-gabbi (>= 2.0.1), as with older version, tests
    are failing.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 May 2020 00:31:08 +0200

heat-tempest-plugin (1.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958740).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/heat-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## heat-tempest-plugin 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
keystoneauth1>=3.4.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
os-collect-config>=5.0.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
python-cinderclient>=3.3.0 # Apache-2.0
gnocchiclient>=3.3.1 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
testtools>=2.2.0 # MIT
testscenarios>=0.4 # Apache-2.0/BSD
tempest>=17.1.0 # Apache-2.0
gabbi>=1.42.1 # Apache-2.0
kombu!=4.0.2,>=4.0.0 # BSD

=== debian/changelog ===
heat-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 11:25:37 +0200

heat-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:31:21 +0200

=== debian/control ===
Source: heat-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/heat-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/heat-tempest-plugin.git
Homepage: https://opendev.org/openstack/heat-tempest-plugin

Package: heat-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-keystoneauth1,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-os-collect-config,
 python3-paramiko,
 python3-cinderclient,
 python3-gnocchiclient,
 python3-heatclient,
 python3-neutronclient,
 python3-novaclient,
 python3-swiftclient,
 python3-zaqarclient,
 python3-testtools,
 python3-testscenarios,
 python3-gabbi (>= 2.0.1),
 python3-kombu,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Heat plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Heat plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/heat-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## heat-tempest-plugin 1.4.0

=== debian/changelog ===
heat-tempest-plugin (1.4.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 08:10:34 +0200

heat-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:30:57 +0200

heat-tempest-plugin (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:48:51 +0200

heat-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:47:13 +0100

## heat-tempest-plugin 1.5.0

=== debian/changelog ===
heat-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 16:35:03 +0100

## heat-tempest-plugin 1.6.0

=== debian/changelog ===
heat-tempest-plugin (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:36:35 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,26 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+Build-Depends-Indep:
+ python3-cinderclient,
+ python3-gabbi (>= 2.0.1),
+ python3-gnocchiclient,
+ python3-heatclient,
+ python3-keystoneauth1,
+ python3-kombu,
+ python3-neutronclient,
+ python3-novaclient,
+ python3-os-collect-config,
+ python3-oslo.config,
+ python3-oslo.log,
+ python3-oslo.messaging,
+ python3-paramiko,
+ python3-stestr,
+ python3-swiftclient,
+ python3-testscenarios,
+ python3-testtools,
+ python3-zaqarclient,
+ tempest,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/heat-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/heat-tempest-plugin.git
@@ -19,24 +39,24 @@
 Package: heat-tempest-plugin
 Architecture: all
 Depends:
- python3-pbr,
+ python3-cinderclient,
+ python3-gabbi (>= 2.0.1),
+ python3-gnocchiclient,
+ python3-heatclient,
  python3-keystoneauth1,
+ python3-kombu,
+ python3-neutronclient,
+ python3-novaclient,
+ python3-os-collect-config,
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.messaging,
- python3-os-collect-config,
  python3-paramiko,
- python3-cinderclient,
- python3-gnocchiclient,
- python3-heatclient,
- python3-neutronclient,
- python3-novaclient,
+ python3-pbr,
  python3-swiftclient,
+ python3-testscenarios,
+ python3-testtools,
  python3-zaqarclient,
- python3-testtools,
- python3-testscenarios,
- python3-gabbi (>= 2.0.1),
- python3-kombu,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/heat-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## heat-tempest-plugin 1.7.1

=== debian/changelog ===
heat-tempest-plugin (1.7.1-3) unstable; urgency=medium

  * Cleans properly (Closes: #1045029).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 18:05:26 +0200

heat-tempest-plugin (1.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:40:54 +0200

heat-tempest-plugin (1.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:10:19 +0100

heat-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:29:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## heat-tempest-plugin 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,3 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 keystoneauth1>=3.4.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
heat-tempest-plugin (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 14:13:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## heat-tempest-plugin 2.1.0

=== debian/changelog ===
heat-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:54:51 +0200

heat-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 11:33:12 +0100

## heat-tempest-plugin 2.3.0

=== requirements.txt ===
--- 
+++ 
@@ -15,4 +15,4 @@
 testscenarios>=0.4 # Apache-2.0/BSD
 tempest>=17.1.0 # Apache-2.0
 gabbi>=1.42.1 # Apache-2.0
-kombu!=4.0.2,>=4.0.0 # BSD
+kombu>=4.0.0 # BSD

=== debian/changelog ===
heat-tempest-plugin (2.3.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 15:57:31 +0000

heat-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090418).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:55:58 +0100

heat-tempest-plugin (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:29:43 +0200

heat-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 13:54:41 +0200

heat-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 17:14:56 +0200

## heat-tempest-plugin 2.5.0

=== debian/changelog ===
heat-tempest-plugin (2.5.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 22:41:08 +0000

heat-tempest-plugin (2.5.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:38:08 +0100

heat-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add add-oslo.config-entry-point.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 08:51:02 +0100

heat-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:05:09 +0100

heat-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:57:40 +0100

## heat-tempest-plugin 2.6.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 keystoneauth1>=3.4.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
heat-tempest-plugin (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:32:42 +0200

heat-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:44:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/heat-tempest-plugin refs/tags/(\d[brc\d\.]+)
